Package org.eclipse.jface.viewers

# Interface ICheckStateListener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ICheckStateListener
A listener which is notified of changes to the checked state of items in checkbox viewers.

See Also:
  - `CheckStateChangedEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkStateChanged(CheckStateChangedEvent event)`
Notifies of a change to the checked state of an element.

## Method Details

### checkStateChanged

void checkStateChanged(CheckStateChangedEvent event)
Notifies of a change to the checked state of an element.

Parameters:
  `event` - event object describing the change